from django.conf.urls import patterns, include, url
from servicio.views import *
# Uncomment the next two lines to enable the admin:
from django.contrib import admin
from django.conf import settings
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'proyecto.views.home', name='home'),
    # url(r'^proyecto/', include('proyecto.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^areas/', include('servicio.urls', namespace='servicio')),
    url(r'^$', principal),
    
    url(r'^perfil/(?P<user_id>\d+)', perfil),
	url(r'^perfil/chpasswd/done/?', 'django.contrib.auth.views.password_change_done', {'template_name':'registration/password_change_done.html'}),
	url(r'^perfil/chpasswd/?', 'django.contrib.auth.views.password_change' , {'template_name':'registration/password_change_form.html'}),

    url(r'^caronte/', include(admin.site.urls)),

)

if settings.DEBUG:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {
            'document_root': settings.MEDIA_ROOT,
        }),
   )
